curl --request POST \
--url https://{api_endpoint}/api/v1/auth/register-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"user_id": "<string>",
"permissions": [
1
]
}
'{
"user_id": "<string>",
"username": "<string>",
"settings": {
"confirm_routing": true,
"base_llm_model_id": "<string>"
}
}curl --request POST \
--url https://{api_endpoint}/api/v1/auth/register-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"user_id": "<string>",
"permissions": [
1
]
}
'{
"user_id": "<string>",
"username": "<string>",
"settings": {
"confirm_routing": true,
"base_llm_model_id": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.